\section{Conclusion}
\label{sec:conclusion}

This section will wrap up this thesis, by giving answers to the research questions and giving recommendations to Fugro about which direction they should go with this work.

\subsection{Concluding research questions}

This research has not proceeded as successful as we would have wished. We had to deviate from our original plan on some crucial points, and in addition we lacked access to ground truth, which has made it harder to give hard conclusions about the research questions or draw a conclusion in general. The main research question for this thesis is: How does LDLS perform in a railway environment? In order to split up the problem, we drafted a few subquestions as well. We will answer these now.

\textbf{How well can Detectron2 be applied to achieve accurate semantic segmentation on railway video data?}\\ For this question, we reviewed the results of a panoptic segmentation model on both RailSem19 data and Fugro video data. As discussed before, we can visually see that this particular model performs reasonably well on this data. It has clear drawbacks, mainly caused by environmental factors, a lack of domain-specific training and degradation of the segmentation quality for objects that have a higher distance away from the camera. We think that Detectron2 as a image recognition platform is definitely suitable to achieve accurate semantic segmentation on this type of railway video data, provided that domain-specific transfer learning is done.

\textbf{How well does label diffusion perform when applied to point cloud data of Fugro railway data?}\\ We qualitatively reviewed point cloud labelling for both the projection method and the LDLS method. This shows that LDLS drastically worsens the classification of points. This is reflected in the quantitative results for the platform points. LDLS mislabels 20 percent point more points than just projection in the short range experiments. The long range experiments are not accurate for both projection and LDLS. We therefore conclude that LDLS is not useful for application on the Fugro railway point cloud data.

\textbf{What steps of the LDLS approach are most suitable for augmentation and how?}\\
Due to time constraints, this research question has not been focused on as much as we would have liked. We have not been able to try and see if some internal functions of LDLS could be programmed better or done in a different way, to properly research their effects. However, the results of LDLS programmed in this way are significantly worse than without, in the best settings we could figure out, so the only answer we can give to this question, is that in our opinion LDLS as a whole is obsolete in this use case. We recommend that if there is still interest in using LDLS, to do more research in different strategies to subdivide point clouds for them to fit in memory and choosing the best label from the one LDLS suggests.

\textbf{How does LDLS perform in a railway environment?}\\
The answer to the main research question can be short. We think LDLS as a tool to classify or semantically segment point clouds is not useful. There can be multiple reasons why in our experimental setup LDLS failed, which are discussed in the previous section. We think that using just a projection of the labels obtained from a semantic segmentation neural network works good enough, is quicker and easier to use and maintain. The hardware requirements needed to run a segmentation model are minimal compared to LDLS, which needs a modern graphics processor to yield substantial results.

\subsection{Recommendations for Fugro}
In the introduction of this thesis, we listed the constraints Fugro gave for the desired functionality of the methodology. Considering these constraints and the current methodology in use at Fugro, we think that the use of a projection based approach can certainly be of service. The accuracy is not as high as the accuracy of the current Fugro methodology, but we think the projection method can be useful in classifying large, rural parts of the point cloud. There are fewer ill-defined objects and this way a large portion of the points in the point cloud can already be labelled, which also helps to generate a training subset for their feature based neural network. The cost of this method is very low, its speed is high and it is quite easy to work with.

We also recommend that if Fugro were to adopt such a projection method, either for preprocessing for their current methodology or as a complete replacement, it is necessary to transfer learn a semantic segmentation network on railway specific image or video data. This would probably significantly increase the accuracy of the semantic segmentation and thus the accuracy of the point cloud semantic segmentation. In order to do this, we also recommend that Fugro maintains a database of past point cloud classification results as ground truth, which can then be used to train different models in the future. We definitely believe that investing in well labelled training data can yield great benefits when wanting to pivot to semi-supervised approaches such as this one.